
Foreman - Bug #29605

babel-plugin-dynamic-import-node 2.3.3 breaks webpack compile

04/22/2020 08:54 PM - Tomer Brisker

Status: Ready For Testing   

Priority: Normal   

Assignee: Tomer Brisker   

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7604,

https://github.com/theforeman/foreman/p

ull/7622

  

Description

The dynamic imports in i18n.js no longer work with this version, causing compile failures.

Associated revisions

Revision 10e7aa5c - 04/22/2020 09:50 PM - Tomer Brisker

Refs #29605 - pin babel-plugin-dynamic-import-node

Release 2.3.3 of this plugin causes webpack compile to fail on dynamic

imports in I18n.js. Pinning to known good version.

Revision e55afbce - 04/30/2020 01:04 PM - Ondřej Ezr

Refs #29605 - pin more more of babel-plugin-dyncamic-import-node

Release babel-plugin-dyncamic-import-node 2.3.3 brought breaking change

@babel/preset-env is bringing new plugins `systemjs`, `commonjs`, `amd` versions 7.9.6

those all depend on babel-plugin-dyncamic-import-node ^2.3.3

History

#1 - 04/22/2020 08:57 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/7604 added

#2 - 04/30/2020 12:35 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7622 added
